<template>
  <v-list width="100%">
    <v-list-item v-if="$auth.loggedIn" nuxt link @click="logout">
      <v-list-item-content>
        <v-list-item-title class="item-title text-body-1">
          Cerrar sesión
          <v-icon color="white" right>
            mdi-logout
          </v-icon>
        </v-list-item-title>
      </v-list-item-content>
    </v-list-item>
  </v-list>
</template>

<script>
export default {
  name: 'Logout',
  methods: {
    async logout() {
      await this.$auth.logout();
    },
  },
};
</script>

<style scoped>
.item-title {
  color: white;
}
</style>
